# Deleting the card from maib ecomm

| API endpoint (DELETE)                                    |
| -------------------------------------------------------- |
| <https://api.maibmerchants.md/v1/delete-card/{billerId}> |

{% hint style="danger" %}
Ensure that the *Content-Type* header and *body* are excluded from requests to this endpoint.
{% endhint %}

### **Request parameter (URL path)**

<table><thead><tr><th width="138">Parameter</th><th width="107">Required</th><th width="137">Type</th><th>Description</th></tr></thead><tbody><tr><td>billerId</td><td>YES</td><td>String(UUID)</td><td>Card identifier in the <strong>maib ecomm</strong> system</td></tr></tbody></table>

**Request example**

```bash
curl --location --request DELETE 'https://api.maibmerchants.md/v1/delete-card/f16a9006-128a-46bc-8e2a-77a6ee99df75' \
--header 'Authorization: Bearer access_token' 
```

### **Response parameters**

<table><thead><tr><th width="205.33333333333331">Parameter</th><th width="159">Type</th><th>Description</th></tr></thead><tbody><tr><td>result</td><td>Object</td><td>Object containing the card identifier and the result of the request execution.</td></tr><tr><td><ul><li>billerId</li></ul></td><td>String(GUID)</td><td>Card identifier in the <strong>maib ecomm</strong> system.</td></tr><tr><td><ul><li>status</li></ul></td><td>String</td><td><p>Request execution status.</p><p>OK - card has been successfully deleted.</p></td></tr><tr><td>ok</td><td>Boolean</td><td><p>Request processing status:</p><p><em>true</em> - no errors;</p><p><em>false -</em> an error occurred (error details will be in <em>errors</em>);</p></td></tr><tr><td>errors</td><td>Array</td><td>Request/transaction processing errors. <a href="/pages/DCjblsWjWxuRYokUtopZ"><mark style="color:blue;">Errors table</mark></a></td></tr><tr><td><ul><li>errorCode</li></ul></td><td>String</td><td>Error code</td></tr><tr><td><ul><li>errorMessage</li></ul></td><td>String</td><td>Error description</td></tr><tr><td><ul><li>erroArgs</li></ul></td><td>Object</td><td>Object contains parameters with error details</td></tr></tbody></table>

**Example**

{% tabs %}
{% tab title="Successful" %}

```json
{
"result": {
"billerId": "t78i8006-458a-46bc-9e0a-89a6ee11df68",
"status": "OK"
},
"ok": "true"
}
```

{% endtab %}

{% tab title="Errors" %}

```json
{
    "errors": [
        {
            "errorCode": "13003",
            "errorMessage": "Biller ID 'f16a9006-128a-46bc-8e2a-77a6ee99df75' not found",
            "errorArgs": {
                "billerId": "f16a9006-128a-46bc-8e2a-77a6ee99df75"
            }
        }
    ],
    "ok": false
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maibmerchants.md/e-commerce/deleting-the-card-from-maib-ecomm.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
